Manual-provider add-machine uses duplicate ip addresses

Bug #1572695 reported by Seman on 2016-04-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju
Medium
Unassigned

Bug Description

When add-machine fails, automatic retry creates additional machines with identical IP address: machine 0 and 1 have same dns-name

http://reports.vapour.ws/releases/3908/job/manual-deploy-precise-amd64/attempt/3419

2016-04-20 13:55:01 INFO juju --debug add-machine -m manual-deploy-precise-amd64 ssh:ec2-54-175-67-11.compute-1.amazonaws.com
...
2016-04-20 13:55:08 ERROR juju.environs.manual provisioner.go:114 cannot obtain provisioning script
2016-04-20 13:55:08 DEBUG juju.api apiclient.go:520 health ping failed: connection is shut down
2016-04-20 13:55:08 ERROR cmd supercommand.go:448 getting instance config: finding tools: EOF
2016-04-20 13:55:08 WARNING add-machine failed. Will retry.
Sleeping for 30 seconds.
2016-04-20 13:55:38 INFO juju --debug add-machine -m manual-deploy-precise-amd64 ssh:ec2-54-175-67-11.compute-1.amazonaws.com
...
2016-04-20 13:57:00 INFO juju --debug add-machine -m manual-deploy-precise-amd64 ssh:ec2-54-86-247-44.compute-1.amazonaws.com

manual-deploy-precise-amd64
machines:
  "0":
    juju-status:
      current: pending
      since: 20 Apr 2016 13:54:23Z
    dns-name: ec2-54-175-67-11.compute-1.amazonaws.com
    instance-id: manual:ec2-54-175-67-11.compute-1.amazonaws.com
    machine-status:
      current: pending
      since: 20 Apr 2016 13:54:23Z
    series: precise
    hardware: arch=amd64 cpu-cores=1 mem=7450M
  "1":
    juju-status:
      current: started
      since: 20 Apr 2016 13:56:16Z
      version: 2.0-beta5
    dns-name: ec2-54-175-67-11.compute-1.amazonaws.com
    instance-id: manual:ec2-54-175-67-11.compute-1.amazonaws.com
    machine-status:
      current: pending
      since: 20 Apr 2016 13:55:00Z
    series: precise
    hardware: arch=amd64 cpu-cores=1 mem=7450M
  "2":
    juju-status:
      current: started
      since: 20 Apr 2016 13:57:30Z
      version: 2.0-beta5
    dns-name: ec2-54-86-247-44.compute-1.amazonaws.com
    instance-id: manual:ec2-54-86-247-44.compute-1.amazonaws.com
    machine-status:
      current: pending
      since: 20 Apr 2016 13:56:23Z
    series: precise
    hardware: arch=amd64 cpu-cores=1 mem=7450M
services:
  dummy-sink:
    charm: local:precise/dummy-sink-0
    exposed: true
    service-status:
      current: unknown
      since: 20 Apr 2016 13:57:40Z
    relations:
      source:
      - dummy-source
    units:
      dummy-sink/0:
        workload-status:
          current: unknown
          since: 20 Apr 2016 13:57:40Z
        juju-status:
          current: idle
          since: 20 Apr 2016 14:07:40Z
          version: 2.0-beta5
        machine: "1"
        public-address: ec2-54-175-67-11.compute-1.amazonaws.com
  dummy-source:
    charm: local:precise/dummy-source-0
    exposed: false
    service-status:
      current: unknown
      message: Waiting for agent initialization to finish
      since: 20 Apr 2016 13:57:32Z
    relations:
      sink:
      - dummy-sink
    units:
      dummy-source/0:
        workload-status:
          current: unknown
          message: Waiting for agent initialization to finish
          since: 20 Apr 2016 13:57:32Z
        juju-status:
          current: allocating
          since: 20 Apr 2016 13:57:32Z
        machine: "0"
        public-address: ec2-54-175-67-11.compute-1.amazonaws.com

Seman (sseman) on 2016-04-20
description: updated
Seman (sseman) on 2016-04-21
summary: - Manual add-machine creates additional broken machine
+ Manual-provider add-machine creates additional broken machine
Curtis Hovey (sinzui) on 2016-04-24
summary: - Manual-provider add-machine creates additional broken machine
+ Manual-provider add-machine uses duplicate ip addresses
Curtis Hovey (sinzui) on 2016-04-25
Changed in juju-core:
milestone: 2.0-beta6 → 2.0-beta7
Curtis Hovey (sinzui) on 2016-05-13
Changed in juju-core:
milestone: 2.0-beta7 → 2.0-beta8
Curtis Hovey (sinzui) on 2016-05-18
tags: added: manual-story
Changed in juju-core:
milestone: 2.0-beta8 → 2.0-rc1
Changed in juju-core:
milestone: 2.0-rc1 → 2.0.0
affects: juju-core → juju
Changed in juju:
milestone: 2.0.0 → none
milestone: none → 2.0.0
Changed in juju:
milestone: 2.0.0 → 2.0.1
Curtis Hovey (sinzui) on 2016-10-28
Changed in juju:
milestone: 2.0.1 → none
Curtis Hovey (sinzui) on 2017-02-14
Changed in juju:
importance: High → Medium
Tim Penhey (thumper) on 2018-02-19
tags: removed: intermittent-failure
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers